@if (brickSetStatus) {
  <div id="print-section">
    <div class="wrapper">
      <div class="stretch-info">
        <h3> {{ brickSetStatus.brickSet?.set_num }} - &shy;
          {{ brickSetStatus.brickSet?.name }}
        </h3>
        <div class="content_wrapper">
          <div class="image content_block"
               [style.background-image]="'url(' + brickSetStatus.brickSet?.set_img_url + ')'">
            <button mat-mini-fab (click)="printPartList()">
              <mat-icon>print</mat-icon>
            </button>
          </div>
          <div class="info_text content_block">
            <div class="description">
          <span class="description_title">
            Thema
          </span>
              <span class="description_text">
            {{ brickSetStatus.theme?.name }}
          </span>
            </div>
            <div class="description">
          <span class="description_title">
            Jahr
          </span>
              <span class="description_text">
            {{ brickSetStatus.brickSet?.year }}
           </span>
            </div>
            <div class="description">
          <span class="description_title">
            Teile
          </span>
              <span class="description_text">
             {{ brickSetStatus.brickSet?.num_parts }}
          </span>
            </div>
            @if (printMode) {
              <div class="description">
                <span class="description_title">Rebrickable ID</span>
                <span class="description_text">{{ brickSetStatus.brickSet?.set_num }}</span>
              </div>
            } @else {
              <div class="link">
                <a [href]="brickSetStatus.brickSet?.set_url" target="_blank">
                  Set bei Rebrickable.com
                </a>
              </div>
            }
          </div>
        </div>
      </div>
      <div class="stretch">
        @if (printMode) {
          <h3>Setteile ({{ brickSetStatus.bricks?.length }}/{{ getTotalQuantity(brickSetStatus.bricks!) }})</h3>
          <div class="brick_list">
            @for (brick of brickSetStatus.bricks; track brick) {
              <br-brick [brick]="brick" printMode />
            }
          </div>
          <div class="page">
            <h3>Ersatzteile ({{ brickSetStatus.spareBricks?.length }}
              /{{ getTotalQuantity(brickSetStatus.spareBricks!) }}
              )
            </h3>
            <div class="brick_list">
              @for (brick of brickSetStatus.spareBricks; track brick) {
                <br-brick [brick]="brick" printMode />
              }
            </div>
          </div>
          <div class="colors page">
            @for (color of brickSetStatus.brickSetColors; track color) {
              <div class="color" [style.background-color]="'#' + color.rgb">
                <span class="color_name"> {{ color.name }}</span>
              </div>
            }
          </div>
        } @else {
          <mat-tab-group class="brick_tabs">
            <mat-tab label="Setteile ({{brickSetStatus.bricks?.length}}/{{getTotalQuantity(brickSetStatus.bricks!)}})">
              <div class="brick_list">
                @for (brick of brickSetStatus.bricks; track brick) {
                  <br-brick [brick]="brick" />
                }
              </div>
            </mat-tab>
            <mat-tab
              label="Ersatzteile ({{brickSetStatus.spareBricks?.length}}/{{getTotalQuantity(brickSetStatus.spareBricks!)}})">
              <div class="brick_list">
                @for (brick of brickSetStatus.spareBricks; track brick) {
                  <br-brick [brick]="brick" />
                }
              </div>
            </mat-tab>
            <mat-tab label="Setfarben(solid {{brickSetStatus.brickSetColors?.length}})">
              @for (color of brickSetStatus.brickSetColors; track color) {
                <div class="color" [style.background-color]="'#' + color.rgb">
                  <span class="color_name"> {{ color.name }}</span>
                </div>
              }
            </mat-tab>
          </mat-tab-group>
        }
      </div>
    </div>

  </div>
}
